<?php

namespace Teknisa\SM\Service;

use Teknisa\SM\Factory\Sm00015004DesalocacaoRecursosFactory;
use Teknisa\Libs\Util\NewCode;

class Sm00015004DesalocacaoRecursosService {
    
    protected $desalocacaoRecursosFactory;
    protected $newcode;
   
    
    public function __construct(Sm00015004DesalocacaoRecursosFactory $desalocacaoRecursosFactory, NewCode $newcode) {
        $this->desalocacaoRecursosFactory = $desalocacaoRecursosFactory;
        $this->newCode                       = $newcode;
    }
    public function saveDesalocacao($nrrecursosagendcont,$dtdevagendrecurcon, $nrorg,$cdoperador) {
    
        $params = array(
            "NRDEVAGENDRECURCON"  => $this->newCode->getCodeByTableName("FCT_DEVAGENDRECURCON", $nrorg, 1, 10, true),
            "NRRECURSOSAGENDCONT" => $nrrecursosagendcont,
            "DTDEVAGENDRECURCON"  => $dtdevagendrecurcon,
            "NRORG"               => $nrorg,
            "IDATIVO"             => "S",
            "NRORGINCLUSAO"       => $nrorg,
            "CDOPERINCLUSAO"      => $cdoperador,
            "DTULTATU"            => null,
            "NRORGULTATU"         => null,
            "CDOPERULTATU"        => null  
        );
  
        $this->desalocacaoRecursosFactory->saveDesalocacao($params);
    }
}

